import { InputValueOption,InputValidateOption} from '~/typs/inputs'

export const input_validate = (typ: InputValueOption, validator: InputValidateOption, val: any): boolean => {
	switch (validator) {
		case InputValidateOption.none:
			// if (typ === InputValueOption.number) {
			// }
		  break
		case InputValidateOption.mail:
	    return val.includes('@')	
	}
	return true
}